Skip to main content
GET
/
speeding-intervals
/
stream
Get Speeding Intervals
curl --request GET \
  --url https://api.samsara.com/speeding-intervals/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "12345",
        "name": "MyAsset-1234",
        "type": "trailer",
        "vin": "1GBJ6P1B2HV112765"
      },
      "createdAtTime": "2023-01-27T07:06:25Z",
      "intervals": [
        {
          "endTime": "2023-01-27T07:06:25Z",
          "isDismissed": true,
          "location": {
            "address": {
              "city": "New York",
              "country": "USA",
              "neighborhood": "Mission District",
              "pointOfInterest": "The Eiffel Tower",
              "postalCode": "10010",
              "state": "New York",
              "street": "Main Street",
              "streetNumber": "16"
            },
            "headingDegrees": 120,
            "latitude": 37.7749,
            "longitude": 137.2719,
            "accuracyMeters": 5.801
          },
          "maxSpeedKilometersPerHour": 65,
          "postedSpeedLimitKilometersPerHour": 75,
          "severityLevel": "severe",
          "startTime": "2023-01-27T07:06:25Z"
        }
      ],
      "tripStartTime": "2023-01-27T07:06:25Z",
      "updatedAtTime": "2023-01-27T10:04:20Z",
      "driverId": "12345"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

assetIds
string[]
required

Comma-separated list of asset IDs. Include up to 50 asset IDs.

startTime
string
required

RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime or tripStartTime depending on the queryBy parameter.

endTime
string

RFC 3339 timestamp which is compared against updatedAtTime or tripStartTime depending on the queryBy parameter. If not provided then the endpoint behaves as an unending feed of changes.

queryBy
enum<string>
default:updatedAtTime

Decide which timestamp the startTime and endTime are compared to. Valid values: updatedAtTime, tripStartTime

Available options:
updatedAtTime,
tripStartTime
includeAsset
boolean
default:false

Indicates whether or not to return expanded “asset” data

includeDriverId
boolean
default:false

Indicates whether or not to return trip's driver id

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

severityLevels
string[]

Optional string of comma-separated severity levels to filter speeding intervals by. Valid values: “light”, ”moderate”, ”heavy”, “severe”. This filter does not exclude trips that have no speeding intervals.

Response

OK response.

data
object[]
required

List of speeding intervals associated with trips.

pagination
object
required

Pagination parameters.